7 Replies Latest reply on Oct 27, 2016 5:34 PM by Gary Graham-Oracle

    can't run SQL Developer on Windows 10 Pro x64

    3333632

      I have java jdk -8u11-windows-x64 installed and sqldeveloper-4-1.5.21-no-jre downloaded and unpacked. When I try to run sqldeveloper I receive:

       

      java.lang.RuntimeException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.

          at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:233)

          at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:656)

          at org.eclipse.osgi.framework.internal.core.EquinoxLauncher.internalInit(EquinoxLauncher.java:69)

          at org.eclipse.osgi.framework.internal.core.EquinoxLauncher.init(EquinoxLauncher.java:37)

          at org.eclipse.osgi.launch.Equinox.init(Equinox.java:178)

          at org.netbeans.modules.netbinox.Netbinox.init(Netbinox.java:84)

          at org.netbeans.core.netigso.Netigso.prepare(Netigso.java:167)

          at org.netbeans.NetigsoHandle.turnOn(NetigsoHandle.java:138)

          at org.netbeans.ModuleManager.enable(ModuleManager.java:1339)

          at org.netbeans.ModuleManager.enable(ModuleManager.java:1156)

          at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340)

          at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276)

          at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:301)

          at org.netbeans.core.startup.Main.getModuleSystem(Main.java:181)

          at org.netbeans.core.startup.Main.getModuleSystem(Main.java:150)

          at org.netbeans.core.startup.Main.start(Main.java:307)

          at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)

          at java.lang.Thread.run(Thread.java:745)

      Caused by: org.osgi.framework.BundleException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.

          at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:734)

          at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)

          at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225)

          ... 17 more

      Caused by: java.lang.IllegalStateException: The System Bundle could not be resolved:

          at org.eclipse.osgi.internal.baseadaptor.BaseStorage.checkSystemState(BaseStorage.java:827)

          at org.eclipse.osgi.internal.baseadaptor.BaseStorage.getStateManager(BaseStorage.java:800)

          at org.eclipse.osgi.baseadaptor.BaseAdaptor.getState(BaseAdaptor.java:387)

          at org.eclipse.osgi.internal.baseadaptor.BaseStorage.frameworkStart(BaseStorage.java:923)

          at org.eclipse.osgi.baseadaptor.BaseAdaptor.frameworkStart(BaseAdaptor.java:250)

          at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:60)

          at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)

          at java.security.AccessController.doPrivileged(Native Method)

          at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)

          ... 19 more

       

      Program is closed. Any suggestions?